1. Ebrahim Mohammadi
  2. redmine_ckeditor
Issue #5 new

can ckeditor support redmine 2.0?

archonwang
created an issue

can ckeditor support redmine 2.0?

I'm not sure. anyone test it on Redmine 2.0?

Comments (4)

  1. Anonymous

    I've not worked on it, and no planned work unfortunately.

    This issue will remain open for anybody who works on CKEditor for Redmine 2.0.

  2. archonwang reporter

    Hi, Ebrahim Mohammadi, I found a solution about redmine 2.0 and I have test it in my environment.

    just follow this url: https://github.com/a-ono/redmine_ckeditor/issues/15#issuecomment-5897966

    the solution is as follows:

    In the init.rb remove the require dispatcher, and change the dispatcher.to_prepare section to this:

    Rails.application.config.to_prepare do
      RedmineCkeditor.apply_patch
    end
    

    That being said, due to the way that i18n is loaded from the editors localisation the plugin configuration is now borked as it is not valid JSON.

  3. Log in to comment